title: C4C Custom Role AllServices
description: Custom role with permissions for all Cross4Cloud services.
stage: ALPHA
includedPermissions:
- bigquery.datasets.create
- bigquery.datasets.get
- bigquery.jobs.create
- bigquery.tables.export
- bigquery.tables.get
- bigquery.tables.getData
- cloudsql.instances.get
- cloudsql.instances.update
- cloudfunctions.functions.invoke
- compute.instances.delete
- compute.instances.get
- compute.instances.list
- compute.instances.reset
- compute.instances.setLabels
- compute.instances.start
- compute.instances.stop
- compute.instances.update
- compute.regions.list
- iam.roles.get
- monitoring.alertPolicies.create
- monitoring.alertPolicies.delete
- monitoring.alertPolicies.get
- monitoring.alertPolicies.list
- monitoring.alertPolicies.update
- monitoring.notificationChannelDescriptors.get
- monitoring.notificationChannelDescriptors.list
- monitoring.notificationChannels.create
- monitoring.notificationChannels.delete
- monitoring.notificationChannels.get
- monitoring.notificationChannels.list
- monitoring.notificationChannels.update
- monitoring.timeSeries.list
- pubsub.subscriptions.getIamPolicy
- pubsub.topics.getIamPolicy
- resourcemanager.projects.getIamPolicy
- run.jobs.run
- run.routes.invoke
- run.services.create
- run.services.delete
- run.services.get
- run.services.getIamPolicy
- run.services.list
- run.services.update
- serviceusage.quotas.get
- serviceusage.services.get
- serviceusage.services.list
- serviceusage.services.use
- storage.buckets.getIamPolicy
- storage.buckets.setIamPolicy
- storage.buckets.update